aws.apigateway.get_resources
Example SQL Queries
SELECT * FROMaws.apigateway.get_resourcesWHERE"rest_api_id" = 'VALUE';Description
Lists information about a collection of Resource resources.
Table Definition
| Column Name | Column Data Type |
|---|---|
| rest_api_id Required Input Column The string identifier of the associated RestApi. | VARCHAR |
| embed Input Column A query parameter used to retrieve the specified resources embedded in the returned Resources resource in the response. This embed parameter value is a list of comma-separated strings. Currently, the request supports only retrieval of the embedded Method resources this way. The query parameter value must be a single-valued list and contain the "methods" string. For example, GET /restapis/{restapi_id}/resources?embed=methods. | VARCHAR[] |
Show child fields
| |
| _aws_profile Input Column The AWS profile defines the AWS identity used. It can be defined via credentials or by assuming a IAM role. | STRUCT( |
Show child fields
| |
| _aws_region Input Column The AWS region to use. | VARCHAR |
| id The resource's identifier. | VARCHAR |
| parent_id The parent resource's identifier. | VARCHAR |
| path The full path for this resource. | VARCHAR |
| path_part The last path segment for this resource. | VARCHAR |
| resource_methods Gets an API resource's method of a given HTTP verb. | MAP(VARCHAR, STRUCT( |